" Assorted plugins
Plug 'cespare/vim-toml', { 'for': 'toml' }
Plug 'honza/vim-snippets'
Plug 'jiangmiao/auto-pairs'
Plug 'leafgarland/typescript-vim', { 'for': 'typescript' }
Plug 'posva/vim-vue', { 'for': 'vue' }
Plug 'ron-rs/ron.vim', { 'for': 'ron' }
Plug 'tommcdo/vim-exchange'
Plug 'tpope/vim-fugitive'
Plug 'tpope/vim-projectionist'
Plug 'tpope/vim-rails', { 'for': 'ruby' }
Plug 'tpope/vim-repeat'
Plug 'tpope/vim-surround'
Plug 'vim-test/vim-test'

" CoC
Plug 'neoclide/coc.nvim', {'branch': 'release'} |
  \ Plug 'neoclide/coc-git'

" Lightline
Plug 'itchyny/lightline.vim' |
  \ Plug 'albertomontesg/lightline-asyncrun' |
  \ Plug 'itchyny/vim-gitbranch' |
  \ Plug 'macthecadillac/lightline-gitdiff' |
  \ Plug 'anstadnik/tmuxline.vim'
  " Using the above fork for lightline truecolor support
  " \ Plug 'edkolev/tmuxline.vim'

" NerdTree
Plug 'preservim/nerdtree', { 'on': 'NERDTreeToggle' } |
  \ Plug 'Xuyuanp/nerdtree-git-plugin', { 'on': 'NERDTreeToggle' } |
  \ Plug 'ryanoasis/vim-devicons' |
  \ Plug 'tiagofumo/vim-nerdtree-syntax-highlight', { 'on': 'NERDTreeToggle' }

" Vim-Markdown
Plug 'godlygeek/tabular' |
      \ Plug 'plasticboy/vim-markdown', { 'for': 'markdown' }

" Telescope
Plug 'nvim-lua/popup.nvim'
Plug 'nvim-lua/plenary.nvim'
Plug 'nvim-telescope/telescope.nvim'

" sonokai colorscheme + supporting plugins
Plug 'sainnhe/sonokai' |
  \ Plug 'rmolin88/pomodoro.vim' |
  \ Plug 'sainnhe/artify.vim'
